<?
 /*SCRIPT PARA MANTENIMIENTO DE RECIBOS POR INGRESOS ARIOS*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
 /*SOFTWARE: E-DUCATIVO */

  include("../fnc.php");
  enlinea_a();

  switch($tipo_trn){
   case "general":
   if(!$txtnfc){
     alert("Ingrese el número de documento","$goback");
   }

   if(!$mtipo){
     alert("Parámetros incorrectos","$goback");
   }

   $qdet=mysql_query("select * from cp_tmp_det_facturas where usuario = '$uuser' and tipo='$mtipo'");
   if(mysql_num_rows($qdet)==0){
    alert("Debe ingresar por lo menos 1 linea de detalle","$goback");
   }

   if($mtipo=="RC"){
    $qver=mysql_query("select * from cp_cobros where numero = $txtnfc and tipo='$mtipo'");
    if(mysql_num_rows($qver)>0){
      alert("El número de recibo que ingresó ya existe,\\npor favor ingrese uno diferente",$goback);
    }

    $qver=mysql_query("select * from cp_recibos where numero = $txtnfc and tipo=2");
    if(mysql_num_rows($qver)>0){
      alert("El número de recibo que ingresó ya existe,\\npor favor ingrese uno diferente",$goback);
    }
   }// fin del tipo RC

   if($mtipo=="RCO"){
    $qver=mysql_query("select * from cp_cobros where numero = $txtnfc and tipo='$mtipo'");
    if(mysql_num_rows($qver)>0){
      alert("El número de recibo que ingresó ya existe,\\npor favor ingrese uno diferente",$goback);
    }

    $qver=mysql_query("select * from cp_recibos where numero = $txtnfc and tipo=3");
    if(mysql_num_rows($qver)>0){
      alert("El número de recibo que ingresó ya existe,\\npor favor ingrese uno diferente",$goback);
    }
   }// fin del tipo RCO

   $nfecha=explode("/",$txtfecha);
   $nfecha=$nfecha[2]."-".$nfecha[1]."-".$nfecha[0];
   $txtdireccion=str_replace(",","",$txtdireccion);
   $txtdireccion=str_replace("\"","",$txtdireccion);
   $txtdireccion=str_replace("'","",$txtdireccion);
   $txtdireccion=str_replace("´","",$txtdireccion);
   $txtdireccion=str_replace("`","",$txtdireccion);

     $totaldoc=0;
     while($idet=mysql_fetch_array($qdet)){
     $totaldoc+=$idet[cantidad]*$idet[valorunit];
     $sql="insert into cp_det_cobros
           set cobro=$txtnfc,
           cantidad='{$idet[cantidad]}',
           descripcion='{$idet[descripcion]}',
           valorunit='{$idet[valorunit]}',
           tipo='$mtipo'";

     $res=mysql_query($sql);
     }

     $sql="insert into cp_cobros
           set numero=$txtnfc,
           nit='$txtnit',
           nombre='$txtnombre',
           direccion='$txtdireccion',
           fecha='$nfecha',
           tipo='$mtipo',
           total='$totaldoc',
           ef='$totaldoc'";

     $res=mysql_query($sql);

     if(!$res){
      echo "ERROR:".mysql_error();
      exit();
     }



     //ELIMINACION DE INFORMACIÓN TEMPORAL
     $q=mysql_query("delete from cp_tmp_facturas where usuario = '$uuser' and tipo='$mtipo'");
     $q=mysql_query("delete from cp_tmp_det_facturas where usuario = '$uuser' and tipo='$mtipo'");

     // ACTUALIZACION DE CORRELATIVO
    $reporte="";
    if($mtipo=="RC"){
     $reporte="rpt_recibod.php";
     $qfc=mysql_query("select correlativo + 1 as numero, formulario from cp_talonarios where id = 2");
     $ifc=mysql_fetch_array($qfc);

     if($txtnfc >= $ifc[numero]){
       $updc=mysql_query("update cp_talonarios set correlativo = $txtnfc where id = 2");
     }
    }

    if($mtipo=="RCO"){
     $reporte="rpt_recibocajaoi.php";
     $qfc=mysql_query("select correlativo + 1 as numero, formulario from cp_talonarios where id = 3");
     $ifc=mysql_fetch_array($qfc);

     if($txtnfc >= $ifc[numero]){
       $updc=mysql_query("update cp_talonarios set correlativo = $txtnfc where id = 3");
     }
    }

    header("Location: frame_recibo_all.php?idr=$txtnfc&tipo=$mtipo&backurl=frm_cp_det_recibod.php?mtipo=$mtipo&rpt=$reporte");

   break;

   case "Add_detalle":
     $sql="insert into cp_tmp_det_facturas
           set
           factura = '',
           cantidad = $txtcantidad,
           descripcion = '$txtdescrip',
           valorunit='$txtvalorunit',
           usuario='$uuser',
           tipo='$mtipo'";

     $res=mysql_query($sql);
     if(!$res){
      echo "error:".mysql_error();
      exit();
     }
     header("Location: frm_cp_det_recibod.php?mtipo=$mtipo");
   break;

   case "Delete_det":
     if(!$confirmacion){
       $qinfo=mysql_query("select * from cp_tmp_det_facturas where id = $idd and tipo='$mtipo'");
       $info=mysql_fetch_array($qinfo);
       confirmacion("Está seguro que desea eliminar\\n{$info[cantidad]}  {$info[descripcion]}","mnt_cp_recibod.php?tipo_trn=Delete_det&confirmacion=ok&idd=$idd&mtipo=$mtipo","frm_cp_det_recibod.php?mtipo=$mtipo");
     }else{
      $sql="delete from cp_tmp_det_facturas where id = $idd and tipo='$mtipo'";
      //echo $sql;
      $res=mysql_query($sql);
      header("Location: frm_cp_det_recibod.php?mtipo=$mtipo");
     }
   break;

   case "Delete_all_det":
     if(!$confirmacion){
       confirmacion("Está seguro que desea eliminar todo \\nel detalle de esta transacción?\\n{$info[cantidad]}  {$info[descripcion]}","mnt_cp_recibod.php?tipo_trn=Delete_all_det&confirmacion=ok&mtipo=$mtipo","frm_cp_det_recibod.php?mtipo=$mtipo");
     }else{
      $sql="delete from cp_tmp_det_facturas where usuario  = '$uuser' and tipo='$mtipo'";
      $res=mysql_query($sql);
      header("Location: frm_cp_det_recibod.php?mtipo=$mtipo");
     }
   break;

   default: header("Location: ./inicio.php");
  }

?>